#
# spec file for package smb4k
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smb4k
Version:        1.2.1
Release:        2.43
Summary:        Advanced Network Neighborhood Browser for KDE
License:        GPL-2.0+
Group:          Productivity/Networking/Samba
Url:            http://smb4k.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#PATCH-FIX-OPENSUSE tittiatcoke@gmail.com -- install the qml plugins into the right directory
Patch1:         fix_plugin_path.diff
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  libkde4-devel
BuildRequires:  xz
Requires:       cifs-utils
Requires:       samba-client
Recommends:     %{name}-doc = %{version}
Recommends:     %{name}-lang = %{version}
Recommends:     rsync
# smb4k-devel was last used in openSUSE-11.4 (version 0.10.9)
Provides:       smb4k-devel = %{version}
Obsoletes:      smb4k-devel <= 0.10.9
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%if 0%{?_kde_minorver} == 0
%define _kde_minorver %(echo %{_kde_platform_version} | cut -f 2 -d \.)
%endif

%description
Smb4K is an advanced network neighborhood browser for KDE and a frontend to the
programs of the Samba software suite. Its purpose is to provide a program
that's easy to use and has as many features as possible.

%package doc
Summary:        Documentation for smb4k
Group:          Documentation/HTML
Requires:       %{name} = %{version}

%description doc
Smb4K is an advanced network neighborhood browser for KDE and a frontend to the
programs of the Samba software suite. Its purpose is to provide a program
that's easy to use and has as many features as possible.

This package provides the documentation for smb4k.

%lang_package

%prep
%setup -q
%patch1 -p1
%if 0%{?suse_version}
echo "setBadness('suse-dbus-unauthorized-service', 0)" > $RPM_SOURCE_DIR/%name-rpmlintrc
echo "setBadness('polkit-unauthorized-privilege', 0)" >> $RPM_SOURCE_DIR/%name-rpmlintrc
%endif

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build

# Not needed, fix "devel-file-in-non-devel-package" rpmlint warning
rm -f %{buildroot}%{_kde4_libdir}/libsmb4kcore.so

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Qt KDE System Network
%endif

%fdupes -s %{buildroot}

%find_lang %{name}
%find_lang smb4k-core %{name}.lang
%find_lang plasma_applet_smb4k-qml %{name}.lang

%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog README
%config %{_sysconfdir}/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf

%if 0%{?_kde_minorver} >= 10
%dir %{_kde4_appsdir}/plasma
%dir %{_kde4_appsdir}/plasma/plasmoids
%dir %{_kde4_modulesdir}/imports
%dir %{_kde4_modulesdir}/imports/org
%dir %{_kde4_modulesdir}/imports/org/kde
%endif

%{_kde4_applicationsdir}/smb4k.desktop
%{_kde4_appsdir}/kconf_update/*.sh
%{_kde4_appsdir}/kconf_update/smb4ksettings.upd

%if 0%{?_kde_minorver} >= 10
%{_kde4_appsdir}/plasma/plasmoids/smb4k-qml/
%{_kde4_modulesdir}/imports/org/kde/smb4kqml/
%endif

%{_kde4_appsdir}/smb4k/
%{_kde4_bindir}/smb4k
%{_kde4_configkcfgdir}/smb4k.kcfg
%{_kde4_datadir}/dbus-1/system-services/net.sourceforge.smb4k.mounthelper.service
%{_kde4_datadir}/polkit-1/actions/net.sourceforge.smb4k.mounthelper.policy
%{_kde4_iconsdir}/*/*/apps/smb4k.png
%{_kde4_libdir}/libsmb4kcore.so*
%{_kde4_libdir}/libsmb4ktooltips.so*
%{_kde4_libexecdir}/mounthelper
%{_kde4_modulesdir}/smb4k*.so
%{_datadir}/appdata/

%if 0%{?_kde_minorver} >= 10
%{_kde4_servicesdir}/plasma-applet-smb4k-qml.desktop
%endif

%files lang -f %{name}.lang
%defattr(-,root,root,-)
%exclude %{_kde4_htmldir}/en/smb4k/

%files doc
%defattr(-,root,root,-)
%doc %lang(en) %{_kde4_htmldir}/en/smb4k/

%changelog
* Thu Oct  8 2015 wbauer@tmo.at
- Update to 1.2.1:
  * Fixed the "authentication dialog is missing the host name" error
    (closes SF ticket #37).
  * Fixed scanning of broadcast areas (added missing pipe).
  * Updated license text to the current version of GPL v2
    (closes SF ticket #40).
  * Make Smb4K also useful with operating systems that are not supported.
    You can now do anything with it except mounting.
  * Fixed code under FreeBSD/NetBSD.
  * Split the mount options off the other options. Adjusted the code accordingly.
    The reason for this is that we want to support more operating systems
    and that is is now easier to deal with different mount options.
  * Use KIO::convertSize() instead self written code.
  * Refactored and improved code responsible for mounting.
  * Fix out-of-source builds when po is present. When building out-of-source,
    ALLOW_DUPLICATE_CUSTOM_TARGETS never gets turned on because the po directory
    doesn't exist in the build directory, causing a build failure.
    This ensures that the correct source directory is always checked.
* Wed Apr  1 2015 tittiatcoke@gmail.com
- Update to 1.2.0:
  * Added support for NetBSD.
  * Added support for profiles.
  * Added appdata file. Closes SF ticket #35.
  * Updated handbook.
  * Fix the Smb4KMounter::cleanup() function.
  * Added share name to the homes user dialog.
  * Implemented profiles page in the plasmoid.
  * Removed old CTRL+R shortcut for rescanning the network neighborhood.
  * Implemented use of Kerberos with net command.
  * Improved handling of sleep states. Smb4K now reacts on changes of
    the network connection instead of on button press events.
  * Implemented more CIFS mount options under Linux as well as a
    whitelist of mount.cifs options that are save to be entered via the
    "Additional options" line edit in the configuration dialog.
  * Remove setting for temporal storage of the login information.
    Now, the user either stores the passwords in the wallet or needs to
    enter the login information each time it is needed.
* Sat Jan 31 2015 asterios.dramis@gmail.com
- Update to 1.1.4:
  * Hopefully fixed a crash reported by Ingo Ratsdorf that happened when the
    user used the "Master browsers need authentication" setting and an
    authentication error occurred.
  * Fix a potential crash in Smb4KMainWindow. Thanks go to Mounty One for
    reporting this issue.
  * When the user cancels the homes user dialog, don't show the custom options
    dialog.
  From 1.1.3:
  * Make mounting of a password protected share work under FreeBSD, if
    no password has been defined yet.
  * Fixed compilation errors under FreeBSD.
* Tue May  6 2014 tittiatcoke@gmail.com
- Update to 1.1.2
  * Fixed a crash that could happen during the loading of bookmarks
    into the bookmark editor's tree widget.
  * Fixed the enabling and disabling of the "Up" action in the
    preview dialog.
  * Fixed two crashes in the previewer: The first occurred when
    authentication data was requested and the password dialog was
    just closed and the other one occurred when a recurring
    authentication error happened.
  * Improved 'Command Reference' section in the handbook.
* Mon Mar 24 2014 tittiatcoke@gmail.com
- Add patch fix_plugin_path.diff to ensure that the qml plugin
  is installed in the correct directory
* Mon Mar 24 2014 tittiatcoke@gmail.com
- Update to 1.1.1
  * Fixed a string in the handbook.
  * Set date when documentation was updated to 2014-03-16.
  * Fixed potential security issue reported by Heiner Markert.
    Do not allow the cruid option to be entered via the
    "Additional options" line edit. (bnc#869828)
  * Fix crash that might happen due to a (misconfigured) smb.conf
    file that does not contain a global section.
* Wed Jan 29 2014 cgiboudeaux@gmx.com
- Update to 1.1.0:
  * Fixed many issues reported by krazy2.
  * Made Smb4K a kdeinit executable.
  * Introduced a new dynamic main tool bar.
  * Added Wake-On-LAN (WOL) feature.
  See the Changelog file for the complete changelog.
* Mon Nov  4 2013 wbauer@tmo.at
- Update to version 1.0.9:
  * With non-English languages the change introduced in version 1.0.8
    might not work correctly, because e.g. umlauts are not recognized and
    the shell output is truncated. Setting the language to "en_US.UTF-8"
    fixes this problem.
* Mon Oct 28 2013 wbauer@tmo.at
- Update to version 1.0.8:
  * Explicity set language to "C" in Smb4KProcess, because Samba
    might be localized (closes SF ticket #34).
* Fri May 17 2013 hrvoje.senjan@gmail.com
- Update to version 1.0.7:
  * Fixed remounting of shares.
  * Fixed Smb4KCustomOptionsManager::hasCustomOptions().
    The default options defined via the configuration dialog are
    honored now.
  * Fixed "Ignoring unknown parameter" error messages
  * Fixed command line argument when a master browser is queried
    for the browse list.
* Fri Mar 15 2013 hrvoje.senjan@gmail.com
- Update to version 1.0.6:
  * Fixed crash in Smb4KMounter::slotAuthError() due to signals
    being emitted from Smb4KMountJob::slotActionFinished() too
    often
  * Fixed unmounting of selected shares
  * Removed faulty and useless clean-up code from read function of
    Smb4KCustomOptionsManager.
* Sat Dec 29 2012 asterios.dramis@gmail.com
- Update to version 1.0.5:
  * Fixed hanging of Smb4K if a custom mount prefix without a trailing
    slash was entered (closes SF ticket #28).
* Sun Sep 16 2012 asterios.dramis@gmail.com
- Update to version 1.0.4:
  * Fixed erroneously shown error notifications when searching.
  * Make sure that "tdb_log" messages are not shown as error notifications
    to the user.
  * Wait until unmounting all shares on exit finished before closing down.
  * Make sure that the mount prefix and all its subdirectories correctly
    inherit their permissions.
* Fri Aug 31 2012 dmueller@suse.com
- avoid rpmlint fatal reporting on old distros
* Mon Jun 25 2012 asterios.dramis@gmail.com
- Update to version 1.0.3:
  * Make sure that output from the mount and unmount process is trimmed, so
    that there are no false error messages.
  * Fixed error notifications being shown although mounting and unmounting
    shares was successful.
* Fri Jun  8 2012 asterios.dramis@gmail.com
- Update to version 1.0.2:
  * Fixed two potential crashes in class Smb4KHomesSharesHandler.
  * Fixed a wrong comparision between QString and QByteArray in
    Smb4KMountJob::slotActionFinished().
  * Fixed a wrong comparision between QString and QByteArray and a double
    declaration in Smb4KUnmountJob::slotActionFinished().
  * Fixed wrong assumption that qreal equals double in Smb4KShare class.
    Patch by Rex Dieter from the Fedora Project.
  * Fixed missing assignments of the IP address in Smb4KAuthInfo::setHost()
    and Smb4KAuthInfo::setShare().
  * When prompting for a password for a 'homes' share, use the UNC of the
    user's home directory and not //SERVER/homes.
  * When mounting a 'homes' share, show the UNC of the user's home directory
    in the mainwindow's status bar instead of //SERVER/homes.
  * Fixed a crash in Smb4KMountJob::slotActionFinished() reported by
    Peter Trenholme.
  * Fixed unmounting on exit. Many thanks go to Peter Trenholme for reporting
    this issue.
- Keep only the english documentation in the smb4k-doc subpackage. Move other
  languages in the smb4k-lang subpackage.
* Sun Mar 25 2012 asterios.dramis@gmail.com
- Update to version 1.0.1:
  * Fixed potential crash in Smb4KWalletManager::init().
  * Fixed KDEInit complaining when Smb4K is started from a desktop icon (closes
    SF ticket #23).
  * Fixed periodic scanning.
- Removed enscript and texlive from recommended programs (not needed anymore).
* Mon Feb 27 2012 dmueller@suse.de
- update to 1.0.0:
  - KDE SC 4.4.0 and Qt 4.7.0 or later are required.
  - We now use Utf8 throughout the whole application (closes #14674 and
  [#17535]).
  - Removed utility programs in favor of the new KAuth implementation.
  - Updated handbook.
* Sun Dec  4 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Changed License: to GPL-2.0+ (SPDX style).
  * Recommend instead of Suggest doc and lang subpackages.
  * Removed Provides:/Obsoletes: entries for kde4-smb4k (not needed anymore).
* Sun Dec  4 2011 tittiatcoke@gmail.com
- Update to version 0.10.12:
  * Fixed wrong QString to char conversion in the mounter.
  * Adjusted author's e-mail address and the project's home page
    and bug report mailing list addresses due to the relocation of
    Smb4K to Sourceforge.net.
  * The application is using UTF8 now. This should fix the
    incompatibility with non-Latin1 languages.
  * Smb4KAuthInfo::login() and Smb4KAuthInfo::password() return a
    QString.
  * Smb4KShare::path() and Smb4KShare::canonicalPath() return a
    QString.
  * Connect configuration dialog with system tray widget, so that
    changes can directly be applied.
  * Fixed KLibrary warnings during runtime.
  Tue Sep 13 12:41:10 UTC 2011 - toddrme2178@gmail.com
- Split translation package (fix for RPMLINT warning)
- Split documentation package (fix for RPMLINT warning)
- Fixed provides (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Thu Mar 10 2011 asterios.dramis@gmail.com
- Update to version 0.10.10:
  * Fixed "Invalid command: net rap share list" error.
  * Improved smb4k_sudowriter utility program. Version has been bumped to 0.4.
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Removed smb4k-devel subpackage and merged it in the main package since the
    package doesn't actually provides any shared libraries. Also fixed rpmlint
    warning "devel-file-in-non-devel-package".
  * Removed smb4k-doc subpackage and merged it in the main package since it
    contained the package's english main help files.
  * Updates in Summary: and %%description.
  * Updates in Buildrequires:, Requires:. Added packages in Recommends:
    section.
  * Moved smb4k-lang package to Recommends: section (from Requires:).
  * Updates in %%install and %%files sections.
  * Minor other updates.
* Fri Jan 14 2011 wstephenson@novell.com
- update to version 0.10.9
  * fix a serious problem with smb4k_sudowriter and Qt 4.7 where
  /etc/sudoers was left with wrong file permissions after writing
  to it, breaking sudo system wide.
* Sat Aug 21 2010 tittiatcoke@gmail.com
- update to version 0.10.8
  * Cope with trailing slashes in the UNC. Needed for
    cifs-utils package under Linux.
  * Fixed crashes in Smb4KSystemTray::slotSetupSharesMenu().
  * Fixed crashes in Smb4KScanner::scanForWorkgroupMembers().
* Sun Apr 11 2010 beineri@opensuse.org
- update to version 0.10.7: several bugfixes
* Mon Oct  5 2009 tittiatcoke@gmail.com
- Update to version 0.10.4
  * Fixed crash in the main window that made Smb4K unusable when no bookmarks were defined.
* Thu Oct  1 2009 tittiatcoke@gmail.com
- Update to version 0.10.3
  * Fixed failing of error recognition when mounting shares with Samba >= 3.3.
  * Backported Smb4KAuthInfo class from CVS HEAD. This should close the crash in Smb4KAuthInfo::unc() under KDE 4.3.
  * Fixed network search code so that no comment shows up in the UNC with longer share names.
  * Silenced enscript, so that no erroneous error messages are shown when printing.
  * Bumped soname of core library to version 3.2.0.
  * Fixed crash in system tray and a potential one in the main window.
  * Fixed saving and restoring of main window layout.
  * Excluded KIO_SLAVE
* Tue Aug 11 2009 beineri@opensuse.org
- require -lang package like every other KDE package
* Tue May 19 2009 dmueller@suse.de
- fix devel package requires
* Sat May  2 2009 dmueller@suse.de
- rename -docs to -doc
* Sun Apr 26 2009 tittiatwork@hotmail.com
- Updated to version 0.10.2
  * Revised Smb4KMounter class:
  * Bumped version of core library to 3.1.0.
  * Reintroduced editing of the IP address in the bookmark editor.
  * Prevent the mounter from trying to do something before the application has completely started up.
  * Modified the Samba configuration page:
  * Fixed a crash in the "Custom Options" tab.
  * Removed the file system port entry under FreeBSD.
- Updated to version 0.10.1
  * Fixed compilation errors due to missing #include statements.
  * Fixed a wrong test string in Smb4KMounter::processMount().
  * Fixed a crash and a bug in the smb4k_sudowriter utility program. Bumped version to 0.2.
  * Fixed an infinite loop in Smb4KSambaOptionsHandler::readCustomOptions().
- Update to KDE4 release (version 0.10.0)
  * Ported to KDE4 only
  * Moved the Build System to cmake
  * Fixed many GCC 4.3 related warnings
* Sat Apr  4 2009 coolo@suse.de
- refresh all patches to fix build
* Fri Oct 24 2008 dmueller@suse.de
- update to 0.9.8:
  * Backported smb4k_sudowriter utility program. It directly writes to the /etc/sudoers file and thus finally fixes the messed-up-sudoers-file bug.
  * Removed smb4k_cat utility program. It's not needed anymore.
  * Removed smb4k_mv utility program. It's not needed anymore.
  * Removed the support for the program 'super'. If you used it before, you need to reconfigure Smb4K.
  * Completely rewrote Smb4KFileIO class to support smb4k_sudowriter.
  * Removed the "Programs" widget from the "Super User" configuration page. It is not needed anymore.
* Mon Jun 16 2008 stbinner@suse.de
- 0.9.6 update:
  * Added a configuration entry that must be enabled when authenti-
    cation information needs to be send to the workgroup master
    browser when querying it for the browse list.
  * Several bugfixes
* Thu Apr  3 2008 stbinner@suse.de
- smb4k needs the .la to work, eg config dialog (bnc#374049)
* Mon Feb 25 2008 stbinner@suse.de
- 0.9.3 update:
  * Improves handling of login information. To achieve this, the
    format of the data that is written to the wallet had to be
    changed and, thus, Smb4K 0.9.3 is not compatible with earlier
    versions. Conversion of the old data will be done automatically.
  * Two small (un)mount issues and a regression in the network
    browser have been also eliminated.
* Sun Jan 27 2008 stbinner@suse.de
- 0.9.2 update:
  * Added a few "What's this?" help texts to "Shares" configuration
  * Updated translations and handbook.
  * Improved the preview dialog and system tray widget.
  * Smb4K's desktop file now complies with freedesktop.org's spec.
  * Fixed poor IP address check in Smb4KScanner::searchForHost().
  * Fixed saving of default login data when the wallet was closed.
* Fri Jan 25 2008 lars@suse.de
- fix requirements of the devel package
- package libsmb4kdialogs.so in main package to break dependency
  to devel package
- use fdupes
- get rid of %%run_ldconfig
* Tue Jan  8 2008 stbinner@suse.de
- 0.9.1 update: replaced all occurences of getenv("USER") by
  getpwuid(getuid())->pw_name. Corrected German spelling mistakes
* Wed Dec 19 2007 stbinner@suse.de
- 0.9 update:
  * Due to the new configuration system, the configuration you used
    for versions prior to 0.9.0 is obsolete. It will be removed on
    the first start-up of version 0.9.0 and you have to reconfigure.
  * Almost entirely rewritten GUI and many other changes under the
    hood such as the swtich to the KConfig XT configuration system,
    the use of the KParts technology and improved Konqueror plugin.
* Wed Nov 28 2007 stbinner@suse.de
- 0.8.7 update:
  * Fixed smb4k_cat utility program, so that files won't get
    corrupted anymore.
  * Fixed Smb4KPasswordHandler::readDefaultAuth() that returned
    a pointer that was freed when the function exited.
  * Fixed the remounting of shares.
* Thu Oct 25 2007 stbinner@suse.de
- fix build with gcc 4.3
* Mon Oct 22 2007 stbinner@suse.de
- 0.8.6 update: fixes crash when mounting shares that contained
  special characters
* Wed Sep 26 2007 stbinner@suse.de
- 0.8.5 update: improved handbook
* Mon Jul 16 2007 stbinner@suse.de
- 0.8.4 update: updated translation and bug fixes, mainly printing on
  remote printer shares works again and that the DCOP-related hanging
  of Smb4K on (KDE) start-up has been eliminated.
* Fri Jun  1 2007 coolo@suse.de
- move kde_post_install
* Wed May 23 2007 dmueller@suse.de
- split off -devel subpackage
* Thu May  3 2007 stbinner@suse.de
- 0.8.3 update: Fixed command line in Smb4KMounter:unmount() that
  provoked smb4k_umount to complain about a deprecated argument.
* Wed May  2 2007 stbinner@suse.de
- 0.8.2 update
  * Fixed a minor bug in the utility programs and applied some
    cosmetic changes.
  * Worked around a bug that led to shares being remounted with
    UID=0 and GID=0 when using the CIFS file system.
  * Improved the 'Trouble Shooting' section of the handbook.
* Tue Apr 10 2007 wstephenson@suse.de
- 0.8.1 update
  * Rewrote smb4k_mount, smb4k_umount, smb4k_kill, smb4k_cat, and smb4k_mv from scratch in order to fix several security weaknesses discovered by Ben Hutchings (should finally close #9631).
  * Adjusted Smb4KMounter class to the slightly changed behavior of the utility programs: The SIGTERM signal was removed from the command line of smb4k_kill in Smb4KMounter::abort() and the command lines for smb4k_mount and smb4k_umount commands were changed.
  * Started to address the browsing problems experienced by users in Active Directory environments: If the NT_STATUS_ACCOUNT_DISABLED error is encountered (which actually seems to be an authentication issue), Smb4K won't error out anymore but ask the user for the user name and password (closes #10280).
  * Fixed two bugs in Smb4KFileIO: The search for the lock file directory will not return a directory that is not readable and writeable and if the lock file does not exist when Smb4KFileIO::removeLockFile() wants to delete it, there will no error be shown anymore.
  * Fixed a compilation error under SUSE (10.2) und with the upcoming GCC 4.3.
  * Smb4K now uses the CIFS file system by default (closes #10804).
  * The handbook was updated to reflect the changes made to the utility programs.
* Mon Jan 22 2007 stbinner@suse.de
- 0.8 update
  * security fixes following a security audit by Kees Cook
  * introduction of the ability to define custom options for shares
    or servers
  * drag-and-drop support in the shares view
  * improved Konqueror plugin and preview dialog, updated handbook
  * new IP scan lookup-method (which uses nmblookup to lookup all
    IP addresses known in a broadcast area)
  * smarter behavior of the browser
  * better handling of bookmarks (automatic updated of IP addresses)
* Mon Dec  4 2006 stbinner@suse.de
- 0.7.5 update
  * Fixed a serious bug in Smb4KFileIO that could cause a corrupted
    /etc/sudoers file if debug or error output was received via
    stderr while reading the file for subsequent processing.
- 0.7.4 update
  * Fixed a bug in Smb4KSearchDialog::slotCheckItemInBrowser()
    that occurred when a server item had no IP address displayed.
  * Fixed a bug in the shell code that was used to retrieve the
    list of workgroup/domain members from the master browser.
  * Improved error handling in Smb4KScanner::processHosts().
  * Implemented better error handling in Smb4KSynchronizer:
    The synchronization is canceled if an error occurrs. This
    prevents the user from being flooded with error dialogs.
  * Fixed a bug that occurred when reading or writing the file
    and directory mask.
  * Changed the address used for reporting bugs via Help->Report Bugs.
  * Updated several translations.
* Tue Sep 26 2006 stbinner@suse.de
- 0.7.3 update
  * Updated help texts, handbook, README and translations.
  * Fixed several issues in Smb4KFileIO:
  * A host item will be collapsed if the authentication failed
  * Fixed insertion of a host from the search dialog to the browser
    window when the host has no IP address displayed.
  * Added missing error code to Smb4KGlobal::showCoreError().
  * Preview dialog won't accept contents of a wrong address anymore.
  * The wallet will be reopened if it was closed by the user,
    the screensaver, etc.
  * The text streams are now aware of the locale.
* Thu Aug  3 2006 stbinner@suse.de
- 0.7.2 update
  * Several crashes, memory leaks and other bugs fixed.
  * Updated several translations and handbook
* Mon Jun 19 2006 stbinner@suse.de
- 0.7.1 update
  * Fixed misc compilation errors
  * Updated translation and handbook
  * Introduced the possibility to modify the length of the interval
    between checks for external mounts/umounts and dead shares.
  * The timer will be disconnected from Smb4KScanner::start() if the
    scanner is idle. This drastically reduces the CPU load!
  * Fixed input validation when using smbclient for searching
  * Fixed a bug that prevented the correct saving of updated
    authentication information.
  * Fixed smb4k.desktop file.
  * Removed two queries for a non-existent config entry.
  * Made the synchronization progress dialog work correctly with
    the latest version of rsync.
  * Fixed a crash in the network browser's tooltip code.
* Wed May 24 2006 adrian@suse.de
- fix build for < 10.1
* Tue May  2 2006 stbinner@suse.de
- 0.7 update
  * KonqSidebar_Smb4K: hang up the new alreadyMountedShare signal
    from mounter. No error dialogs of "already been mounted share"
    anymore (partially closes #5636).
  * The old tab widget in the main window has been removed.
  * Added shortcuts to the main window that allow jumping to each
    dock widget: CTRL+1: Network Browser, CTRL+2/CTRL+S: Search
    Dialog, CTRL+3: Shares View.
  * Unified look of dialogs.
  * Did a major revision of the browser widget.
  * Did a major revision of the search dialog (closes #2247).
  * Did several changes to the shares view.
  * The bookmark editor allows editing of the IP address and
    workgroup.
  * Put Smb4KShareWidgetItem class in own files.
  * Removed obsolete options "This master browser needs
    authentication" and "Use authentication when querying the
    workgroup master browsers" from the configuration dialog.
  * When closing the configuration dialog, the root password is
    only asked, if the user changed one of the super user options
    (partially closes #5636).
  * The removal of the super user entries from super.tab and/or
    sudoers is now determined by the choice in the configuration
    dialog.
  * Rewrote Smb4KSharesMenuWidget class.
  * Added new Smb4KShareActionMenu and Smb4KBrowserActionMenu
    classes. They contain the actions that were defined in
    Smb4KShareWidget and Smb4KBrowserWidget before, respectively. The
    use of Smb4KShareActionMenu in the system tray icon closes #5622.
  * Replaced deprecated KStdActions.
  * Introduced new Smb4KDataItem container for the core classes.
  * Revised bookmark handling (closes #6316).
  * The scanner class underwent a major revision (closes #4417).
  * Massively changed the entries and groups in the configuration
    file. As consequence, Smb4K will be incompatible with prior
    versions.
  * Added ability to synchronize a local copy with a remote share
    and vice versa (closes #1940). This feature uses Rsync. A few
    of the many options have been stripped, because they are used
    for transfer from remote hosts, which is no the case here.
  * Information of any share will now be collected by the mounter.
    Smb4KCore has been tidied up accordingly. Information of the
    number of files and directories has been dropped (for now).
  * Removed Catalan, Norwegian Nynorsk, Chinese Traditional (zh_TW)
    and Simplified (zh_CN), Russian and Polish translation because
    they were unmaintained and hopelessly out-dated.
  * Removed the Smb4KShellIO class, because its only purpose was to
    provide the Samba version. This is not necessary anymore, because
    we switched to Samba 3.
  * Introduced smb4k_cat and smb4k_mv utilities to read and
    copy/move system config files.
  * The handbook shipping with this release actually contains useful
    information. However, it is still work in progress. The license
    of the handbook has been changed from GFDL to GPL.
  * If a user tries to mount an already mounted share, no error
    message will be displayed anymore.
  * Renamed the global namespace to Smb4KGlobal and several
    functions inside.
  * Centralized the application's timer in the Smb4KGlobal
    namespace. As a side effect, this seems to fix the
    very-fast-vanishing-tooltips problem.
  * If the user canceled the writing to /etc/super.tab or
    /etc/sudoers, the previous state will be re-established.
  * Removed "Specify User" dialog from Smb4KBrowserWidget and moved
    it to Smb4KGlobal namespace. Now only core classes are using it.
  * Reworked and cleaned up Linux specific code in
    Smb4KMounter::import().
  * Moved error handling to Smb4KGlobal namespace. The reason is,
    that the previous signal/slot model was not able to handle
    errors during the initialization of the core.
  * Removed Smb4KPasswordHandler::AskPass class and integrated its
    functionality into Smb4KPasswordHandler::askpass(). This should
    fix the compilation errors encountered when using MIPSpro
    Compilers on IRIX/MIPS (closes #6811).
  * When reading the smb.conf file, a line beginning with a
    semicolon is valued as comment.
  * Reduced CPU load by stretching the interval between checks for
    externally mounted and broken shares from 1000 ms to 2500 ms.
* Wed Apr 19 2006 stbinner@suse.de
- fix %%suse_update_desktop_file parameter order for 10.1
* Tue Apr 18 2006 stbinner@suse.de
- 0.6.10 update
* Tue Mar 28 2006 stbinner@suse.de
- 0.6.9 update
* Mon Feb 27 2006 stbinner@suse.de
- 0.6.8 update
* Mon Feb  6 2006 stbinner@suse.de
- 0.6.7 update
* Sun Feb  5 2006 stbinner@suse.de
- 0.6.6 update
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan  7 2006 stbinner@suse.de
- 0.6.5 update
* Sun Oct 30 2005 stbinner@suse.de
- 0.6.4 update
* Sat Sep 17 2005 dmueller@suse.de
- fix installed libtool .la files
* Wed Sep 14 2005 dmueller@suse.de
- 0.6.3 update
* Fri Aug 19 2005 coolo@suse.de
- fix file list for icons
* Fri Aug 12 2005 dmueller@suse.de
- fix .la file
* Sun Aug  7 2005 adrian@suse.de
- fix categories, single menu entry
* Sat Aug  6 2005 adrian@suse.de
- move menu entry to System->Network where similar apps are already
* Fri Jul 29 2005 adrian@suse.de
- initial package of version 0.6.0
